curl -X POST 'https://api.weir.ai/org/create/platform' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-H 'x-source: console' \
-d '{
"name": "My Platform",
"teamId": "team_123456789",
"description": "A content platform",
"type": "Forum/Community",
"domain": "myplatform.com"
}'
{
"data": {
"platformId": "platform_123456789",
"name": "My Platform",
"type": "Forum/Community",
"domain": "myplatform.com",
"status": "pending_verification",
"createdAt": "2024-01-22T15:30:00Z"
},
"message": "Platform created successfully",
"status": "success"
}
Console APIs - Platforms
Create Platform
Create a new platform
POST
/
org
/
create
/
platform
curl -X POST 'https://api.weir.ai/org/create/platform' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-H 'x-source: console' \
-d '{
"name": "My Platform",
"teamId": "team_123456789",
"description": "A content platform",
"type": "Forum/Community",
"domain": "myplatform.com"
}'
{
"data": {
"platformId": "platform_123456789",
"name": "My Platform",
"type": "Forum/Community",
"domain": "myplatform.com",
"status": "pending_verification",
"createdAt": "2024-01-22T15:30:00Z"
},
"message": "Platform created successfully",
"status": "success"
}
Create Platform
Create a new platform within your organization for content management and NIL tracking.curl -X POST 'https://api.weir.ai/org/create/platform' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-H 'x-source: console' \
-d '{
"name": "My Platform",
"teamId": "team_123456789",
"description": "A content platform",
"type": "Forum/Community",
"domain": "myplatform.com"
}'
{
"data": {
"platformId": "platform_123456789",
"name": "My Platform",
"type": "Forum/Community",
"domain": "myplatform.com",
"status": "pending_verification",
"createdAt": "2024-01-22T15:30:00Z"
},
"message": "Platform created successfully",
"status": "success"
}
Request Body
string
required
Platform name.
string
required
Team ID to assign the platform to.
string
Platform description.
string
required
Platform type (e.g., “Forum/Community”, “Social Media”, “E-commerce”).
string
required
Platform domain name.
Usage Examples
const createPlatform = async (platformData, accessToken) => {
const response = await fetch('https://api.weir.ai/org/create/platform', {
method: 'POST',
headers: {
'Authorization': `Bearer ${accessToken}`,
'Content-Type': 'application/json',
'x-source': 'console'
},
body: JSON.stringify(platformData)
});
if (!response.ok) throw new Error(`HTTP error! status: ${response.status}`);
return await response.json();
};
import requests
def create_platform(platform_data, access_token):
response = requests.post(
'https://api.weir.ai/org/create/platform',
headers={
'Authorization': f'Bearer {access_token}',
'Content-Type': 'application/json',
'x-source': 'console'
},
json=platform_data
)
response.raise_for_status()
return response.json()
Was this page helpful?